summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--mingw-w64-gdk-pixbuf2/PKGBUILD11
1 files changed, 8 insertions, 3 deletions
diff --git a/mingw-w64-gdk-pixbuf2/PKGBUILD b/mingw-w64-gdk-pixbuf2/PKGBUILD
index db3a7d0..06d9c26 100644
--- a/mingw-w64-gdk-pixbuf2/PKGBUILD
+++ b/mingw-w64-gdk-pixbuf2/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mingw-w64-gdk-pixbuf2
-pkgver=2.28.2
+pkgver=2.30.0
pkgrel=1
pkgdesc="An image loading library (mingw-w64)"
arch=(any)
@@ -7,14 +7,14 @@ url="http://www.gtk.org"
license=("GPL2")
makedepends=(mingw-w64-gcc mingw-w64-pkg-config)
depends=(mingw-w64-crt
-'mingw-w64-glib2>=2.34.0'
+'mingw-w64-glib2>=2.37.2'
mingw-w64-jasper
mingw-w64-libpng
mingw-w64-libjpeg-turbo
mingw-w64-libtiff)
options=(!libtool !strip !buildflags)
source=("http://download.gnome.org/sources/gdk-pixbuf/${pkgver%.*}/gdk-pixbuf-$pkgver.tar.xz")
-md5sums=('04c04e5042acd85cff6c439aba1995f1')
+md5sums=('d1e32c91597f8f2fa6ead4201216dd05')
_architectures="i686-w64-mingw32 x86_64-w64-mingw32"
@@ -31,6 +31,11 @@ build() {
--build=$CHOST \
--host=${_arch} \
--with-included-loaders=wbmp,png,pnm,ras,ani,xpm,xbm,tga,icns,pcx,qtif,gdip-ico,gdip-wmf,gdip-emf,gdip-bmp,gdip-gif,gdip-jpeg,gdip-tiff
+ make || true
+ # Suppress the building of some test program because it use some
+ # POSIX functions which are not available on MinGW
+ touch "${srcdir}/${pkgname}-${pkgver}-build-${_arch}/tests/pixbuf-randomly-modified.o"
+ touch "${srcdir}/${pkgname}-${pkgver}-build-${_arch}/tests/pixbuf-randomly-modified.exe"
make
done
}